{
  config,
  lib,
  pkgs,
  ...
}: {
  services.xserver.windowManager.i3.enable = true;
  services.xserver.windowManager.i3.package = pkgs.i3-gaps;
  services.displayManager.defaultSession = "none+i3";

  programs.xss-lock = {
    # responds to "loginctl lock-session" via dbus
    enable = true;
    lockerCommand = "${pkgs.i3lock}/bin/i3lock --ignore-empty-password --color=000000";
  };
}
